Administrators Microsoft Entra - Create Or Update
Erstellt einen neuen Serveradministrator, der einem Microsoft Entra-Hauptmann zugeordnet ist.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/administrators/{objectId}?api-version=2025-08-01
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
object
|
path | True |
string |
Objektkennung des Microsoft Entra-Hauptprinzips. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* |
Name des Servers |
|
subscription
|
path | True |
string (uuid) |
Die ID des Zielabonnements. Der Wert muss eine UUID sein. |
|
api-version
|
query | True |
string minLength: 1 |
Hierbei handelt es sich um die für diesen Vorgang zu verwendende API-Version. |
Anforderungstext
| Name | Typ | Beschreibung |
|---|---|---|
| properties.principalName |
string |
Name des Microsoft Entra-Prinzipals. |
| properties.principalType |
Typ des Microsoft Entra-Prinzips, dem der Serveradministrator zugeordnet ist. |
|
| properties.tenantId |
string |
Identifizierer des Tenants, in dem sich der Microsoft Entra-Principal befindet. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 202 Accepted |
Ressourcenvorgang akzeptiert. Header
|
|
| Other Status Codes |
Unerwartete Fehlerantwort. |
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name | Beschreibung |
|---|---|
| user_impersonation | Identitätswechsel ihres Benutzerkontos |
Beispiele
Add a server administrator associated to a Microsoft Entra principal.
Beispielanforderung
PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/administrators/oooooooo-oooo-oooo-oooo-oooooooooooo?api-version=2025-08-01
{
"properties": {
"principalName": "exampleuser@contoso.com",
"principalType": "User",
"tenantId": "tttttttt-tttt-tttt-tttt-tttttttttttt"
}
}
Beispiel für eine Antwort
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/eastus/azureAsyncOperation/aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa?api-version=2025-06-01-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/eastus/operationResults/bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb?api-version=2025-06-01-preview
Definitionen
| Name | Beschreibung |
|---|---|
|
Administrator |
Serveradministrator, der einem Microsoft Entra-Hauptmann zugeordnet ist. |
|
Error |
Der Ressourcenverwaltungsfehler zusätzliche Informationen. |
|
Error |
Das Fehlerdetails. |
|
Error |
Fehlerantwort |
|
Principal |
Typ des Microsoft Entra-Prinzips, dem der Serveradministrator zugeordnet ist. |
AdministratorMicrosoftEntraAdd
Serveradministrator, der einem Microsoft Entra-Hauptmann zugeordnet ist.
| Name | Typ | Beschreibung |
|---|---|---|
| properties.principalName |
string |
Name des Microsoft Entra-Prinzipals. |
| properties.principalType |
Typ des Microsoft Entra-Prinzips, dem der Serveradministrator zugeordnet ist. |
|
| properties.tenantId |
string |
Identifizierer des Tenants, in dem sich der Microsoft Entra-Principal befindet. |
ErrorAdditionalInfo
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name | Typ | Beschreibung |
|---|---|---|
| info |
object |
Die zusätzlichen Informationen. |
| type |
string |
Der zusätzliche Informationstyp. |
ErrorDetail
Das Fehlerdetails.
| Name | Typ | Beschreibung |
|---|---|---|
| additionalInfo |
Die zusätzlichen Informationen des Fehlers. |
|
| code |
string |
Der Fehlercode. |
| details |
Die Fehlerdetails. |
|
| message |
string |
Die Fehlermeldung. |
| target |
string |
Das Fehlerziel. |
ErrorResponse
Fehlerantwort
| Name | Typ | Beschreibung |
|---|---|---|
| error |
Das Fehlerobjekt. |
PrincipalType
Typ des Microsoft Entra-Prinzips, dem der Serveradministrator zugeordnet ist.
| Wert | Beschreibung |
|---|---|
| Unknown |
Der Haupttyp ist nicht bekannt oder nicht spezifiziert. |
| User |
Ein Microsoft Entra-Nutzer. |
| Group |
Eine Microsoft Entra-Gruppe. |
| ServicePrincipal |
Ein Microsoft Entra Service Principal, der typischerweise eine Anwendungs- oder Service-Identität darstellt. |